## node-opencv 6.0.0%2Bgit20180416.cfc96ba0

=== debian/changelog ===
node-opencv (6.0.0+git20180416.cfc96ba0-3) unstable; urgency=medium

  * Team upload

  [ Xavier Guimard ]
  * Add dh_installexamples -Xtmp/ to make build reproductible. Thanks to
    Chris Lamb (Closes: #924462)

  [ Utkarsh Gupta ]
  * Add patch to fix CVE-2019-10061 (Closes: #925571)

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Wed, 27 Mar 2019 04:27:41 +0530

node-opencv (6.0.0+git20180416.cfc96ba0-2) unstable; urgency=medium

  * Team upload
  * Remove unneeded dependency versions
  * Rebuilt against libnode-dev
  * Add upstream/metadata
  * Update description
  * Set hardening flags
  * Fix autopkgtest failures on an unbuild tree and test installed files
  * Install examples in the right place

 -- Xavier Guimard <yadd@debian.org>  Fri, 25 Jan 2019 14:45:46 +0100

node-opencv (6.0.0+git20180416.cfc96ba0-1) unstable; urgency=low

  * Use upstream git repo.
    - Support node 10 (Closes: #919192)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 17 Jan 2019 04:33:36 +0800

node-opencv (6.0.0-2) unstable; urgency=low

  * Fixing debian/control package descriptions.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 12 Dec 2018 00:32:46 +0800

node-opencv (6.0.0-1) unstable; urgency=low

  * Initial release (Closes: #870349)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 10 Dec 2018 19:30:10 +0800
