=== debian/control ===
Source: node-opencv
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Section: javascript
Priority: optional
Build-Depends: debhelper (>= 11),
               libopencv-dev,
               node-buffers,
               node-glob,
               node-gyp,
               node-istanbul,
               node-nan,
               node-pre-gyp,
               node-request,
               node-tape,
               libnode-dev,
               npm
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/js-team/node-opencv
Vcs-Git: https://salsa.debian.org/js-team/node-opencv.git
Homepage: https://github.com/peterbraden/node-opencv

Package: node-opencv
Architecture: any
Depends: node-buffers,
         node-istanbul,
         node-nan (>= 2.0.9),
         node-pre-gyp,
         nodejs (>= 6),
         ${misc:Depends},
         ${shlibs:Depends}
Description: OpenCV Bindings for node.js
 OpenCV is the defacto computer vision library - by interfacing with it
 natively in node, it gives powerful real time vision in js.
 .
 People are using node-opencv to fly control quadrocoptors, detect faces
 from webcam images and annotate video streams.
 .
 Node.js is an event-based server-side JavaScript engine.
