=== debian/tests/control ===
Tests: require
Depends: node-opencv

Tests: smoketest
Depends: @
