=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb|git[^.]*)(\..+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-opencv-$1.tar.gz/ \
 https://github.com/peterbraden/node-opencv/releases .*/archive/v?([\d\.]+).tar.gz
