## node-opencv 6.0.0+git20190322.db093cb2

=== debian/changelog ===
node-opencv (6.0.0+git20190322.db093cb2-7) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) ]
  * Fix autopkgtest fail on arm64 (Closes: #951108)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 14 Feb 2020 09:47:03 +0800

node-opencv (6.0.0+git20190322.db093cb2-6) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) ]
  * autopkgtest: add restrictions allow-stderr to avoid dpkg-architecture
    prints warning messages to stderr

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 11 Feb 2020 15:48:18 +0800

node-opencv (6.0.0+git20190322.db093cb2-5) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) ]
  * Fix autopkgtest fail - dpkg-architecture stderr

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 11 Feb 2020 01:23:17 +0800

node-opencv (6.0.0+git20190322.db093cb2-4) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) ]
  * Fix autopkgtest fail.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 10 Feb 2020 00:34:36 +0800

node-opencv (6.0.0+git20190322.db093cb2-3) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) ]
  * Don't install object files.
  * Fix uses-deprecated-adttmp.
  * Fix nodejs-module-installed-in-usr-lib

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 09 Feb 2020 01:59:59 +0800

node-opencv (6.0.0+git20190322.db093cb2-2) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) ]
  * Fix autopkgtest dependencies.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 09 Feb 2020 00:58:21 +0800

node-opencv (6.0.0+git20190322.db093cb2-1) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) ]
  * New upstream version 6.0.0+git20190322.db093cb2
  * Remove unnecessary patches
  * Porting to OpenCV4 (Closes: #922587)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 28 Oct 2019 03:59:13 +0800
