=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,8 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+export PKG_CONFIG_OPENCV4=1
 
 %:
 	dh $@
@@ -20,14 +22,12 @@
 	find $(CURDIR) -name '*.jpg' -exec chmod a-x {} \;
 	find $(CURDIR) -name '*.h' -exec chmod a-x {} \;
 	chmod a-x examples/make-example-files.sh
-	chmod a-x vagrant/scripts/setup-node.sh
 	chmod a-x examples/make-example-files.sh
-	chmod a-x vagrant/user.sh
 	dh_auto_configure
-	node-pre-gyp configure
+	node-gyp configure
 
 override_dh_auto_build:
-	node-pre-gyp build
+	node-gyp build
 	find $(CURDIR)/build -name 'opencv.node' -exec chmod a-x {} \;
 
 override_dh_auto_clean:
