## node-opencv 7.0.0%2Bgit20200316.f0a03a4b

=== debian/changelog ===
node-opencv (7.0.0+git20200316.f0a03a4b-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Yadd ]
  * Update standards version to 4.6.1, no changes needed.
  * Fix autopkgtest

  [ Jérémy Lal ]
  * Avoid dependency on npm.

 -- Jérémy Lal <kapouer@melix.org>  Thu, 20 Nov 2025 12:01:45 +0100

node-opencv (7.0.0+git20200316.f0a03a4b-1) unstable; urgency=low

  * New upstream release.
  * Add debian/patches/0002_port_to_axios_from_request.patch:
    - Drop debian/patches/drop-request-test.patch
    - Add node-axios to Build-Depends.
    - Port the test to axios so we can test it rather than drop the test.
  * Add debian/patches/0003_port_to_nodejs14.patch:
    - Porting to nodejs 14 (Closes: #1007843)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 08 Apr 2022 02:10:07 +0800

node-opencv (7.0.0+git20200310.6c13234-4) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete field Contact from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update standards version to 4.5.1, no changes needed.

  [ Yadd ]
  * Add missing build dependency on dh addon.
  * Update standards version to 4.6.0, no changes needed.
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Modernize debian/watch
    * Fix filenamemangle
    * Fix GitHub tags regex
  * Drop dependency to nodejs
  * Drop test dependency to deprecated node-request (Closes: #958680)

 -- Yadd <yadd@debian.org>  Fri, 31 Dec 2021 12:45:07 +0100

node-opencv (7.0.0+git20200310.6c13234-3) unstable; urgency=medium

  * Team upload
  * MA: same
  * enable salsa CI

 -- Bastien Roucariès <rouca@debian.org>  Sat, 18 Sep 2021 13:30:24 +0000

node-opencv (7.0.0+git20200310.6c13234-2) unstable; urgency=medium

  * Fix OpenCV::ReadImageAsync segfault (Closes: #987364).
    Thanks to Jochen Sprickerhof.

 -- Jérémy Lal <kapouer@melix.org>  Fri, 30 Apr 2021 14:18:17 +0200

node-opencv (7.0.0+git20200310.6c13234-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.0.0+git20200310.6c13234 (Closes: #962825)
  * Drop 0003_port_opencv4.patch, applied upstream

 -- Jérémy Lal <kapouer@melix.org>  Mon, 15 Jun 2020 14:58:13 +0200
