## node-opencv 7.0.0+git20200310.6c13234

=== debian/control ===
--- 
+++ 
@@ -3,30 +3,30 @@
 Uploaders: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Section: javascript
 Priority: optional
-Build-Depends: debhelper (>= 11),
-               libopencv-dev,
+Build-Depends: debhelper-compat (= 13),
+               libnode-dev,
+               libopencv-dev (>= 4.0.1),
                node-buffers,
                node-glob,
                node-gyp,
                node-istanbul,
                node-nan,
                node-pre-gyp,
-               node-request,
                node-tape,
-               libnode-dev,
                npm
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-opencv
 Vcs-Git: https://salsa.debian.org/js-team/node-opencv.git
 Homepage: https://github.com/peterbraden/node-opencv
+Rules-Requires-Root: no
 
 Package: node-opencv
 Architecture: any
+Multi-Arch: same
 Depends: node-buffers,
          node-istanbul,
-         node-nan (>= 2.0.9),
+         node-nan,
          node-pre-gyp,
-         nodejs (>= 6),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: OpenCV Bindings for node.js
