=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                libnode-dev,
                libopencv-dev (>= 4.0.1),
+	       node-axios,
                node-buffers,
                node-glob,
                node-gyp,
