=== debian/tests/control ===
--- 
+++ 
@@ -3,3 +3,8 @@
 
 Tests: smoketest
 Depends: @
+Restrictions: allow-stderr
+
+Tests: unittest
+Depends: node-glob, node-axios, node-tape, @
+Restrictions: allow-stderr
