=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-opencv-$1/ \
 https://github.com/peterbraden/node-opencv/releases .*/archive/.*/v?([\d\.]+).tar.gz
